using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace B
{
    internal class Program
    {
        static void Main(string[] args)
        {

            string[] s = Console.ReadLine().Split(' ');

            ulong n = ulong.Parse(s[0]), m = ulong.Parse(s[1]);

            if (n == 1 && m == 1) Console.WriteLine(1);
            else if(n%2==0||m%2==0) Console.WriteLine(n * m - (n - 2) * (m - 2) / 2);
            else Console.WriteLine(n * m - (n - 2) * (m - 2) / 2 - 1);
        }
    }
}